%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           secret-sos
Version:        0.1
Release:        1%{?dist}
Summary:        Downstream plugins for sosreport

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       sos

%description
Downstream plugins for sosreport, maintained by Certification Engineering

%prep
%setup -n %{name}-%{version} -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/sos/plugins/*.py*
%{python_sitelib}/secret_sos*egg-info

%changelog
* Thu Feb 5 2015 Shreyank Gupta <sgupta@redhat.com> 0.1-1
- Initial release.
